write.matrix {MASS} | R Documentation

## Write a Matrix or Data Frame

### Description

Writes a matrix or data frame to a file or the console, using column labels and a layout respecting columns.

### Usage

    write.matrix(x, file = "", sep = " ", blocksize)

### Arguments

`x` | matrix or data frame.
`file` | name of output file. The default (`""`) is the console.
`sep` | The separator between columns.
`blocksize` | If supplied and positive, the output is written in blocks of `blocksize` rows. Choose as large as possible consistent with the amount of memory available.

### Details

If `x` is a matrix, supplying `blocksize` is more memory-efficient and enables larger matrices to be written, but each block of rows might be formatted slightly differently.

If `x` is a data frame, the conversion to a matrix may negate the memory saving.

### Side Effects

A formatted file is produced, with column headings (if `x` has them) and columns of data.

### References

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`write.table`

[Package Contents]